### Functions

## Returns the default attribute list for an account type.

    getDefaultListAttributes(string $type) : string

It is used as default value for the configuration editor.

### Parameters

#### $type

`string`

account type

### Returns

`string`attribute list

## Returns a list of attributes which have a translated description.

    getListAttributeDescriptions(string $type) : array

This is used for the head row in the list view.

### Parameters

#### $type

`string`

account type

### Returns

`array`list of descriptions

## Returns the class name for the list object.

    getListClassName(string $type) : string

### Parameters

#### $type

`string`

account type

### Returns

`string`class name

## Returns the alias name of an account type.

    getTypeAlias(string $type) : string

### Parameters

#### $type

`string`

type name

### Returns

`string`type alias

## Returns the description of an account type.

    getTypeDescription(string $type) : string

### Parameters

#### $type

`string`

type name

### Returns

`string`type description

## Returns a list of available account types.

    getTypes() : array

### Returns

`array`list of types

### Classes and interfaces

# asteriskExt¶

The account type for Asterisk extensions.

« More »

# baseType¶

This is the parent class of all account types.

« More »

# dhcp¶

The account type for DHCP

« More »

# group¶

The account type for group accounts (e.g.

« More »

# host¶

The account type for host accounts (e.g.

« More »

# mailAlias¶

The account type for mail aliases.

« More »

# netgroup¶

The account type for NIS netgroups.

« More »

# smbDomain¶

The account type for Samba domains.

« More »

# user¶

The account type for user accounts (e.g.

« More »